/*
 * ShapeOpValidator.hpp
 *
 *  Created on: Oct 1, 2012
 *      Author: ankele
 */

#ifndef SHAPEOPVALIDATOR_HPP_
#define SHAPEOPVALIDATOR_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

#include "Parameters/Validators/DiscreteValidator.hpp"

/** This validator checks whether the given string is a shape type
 * (i.e. "sphere" etc).
 */
class ShapeOpValidator : public DiscreteValidator<std::string>
{
  ShapeOpValidator();
};


#endif /* SHAPEOPVALIDATOR_HPP_ */
